{
	"name": "plugin/nc-calc-server/column/product.json",
	"option": {
		"suppress_menu": true,
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "colDef.field === 'pr.json_data.available' && x !== data.pr?.calc?.available_old || colDef.field === 'pr.json_data.reserved' && x !== data.pr?.calc?.reserved_old || colDef.field === 'pr.json_data.fixed' && x !== data.pr?.calc?.fixed_old",
				"nc-grid-row-deleted": "colDef.field === 'pr.json_data.available' && x < 0"
			}
		}
	},
	"column": [
		{
			"variable": "idx",
			"width": 120,
			"name": "",
			"link_field": "pr.product_id",
			"record_type": ""
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"variable": "change_status",
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "pr.product_id",
			"width": 200,
			"name": "Product"
		},
		{
			"field": "pr.work_number_id",
			"width": 120,
			"name": "Work"
		},
		{
			"field": "pr.default_supplier_id",
			"width": 120,
			"name": "Supplier"
		},
		{
			"field": "pr.name",
			"width": 270,
			"name": "Name"
		},
		{
			"field": "pr.product_group",
			"width": 180,
			"name": "Group"
		},
		{
			"field": "pr.subgroup",
			"width": 180,
			"name": "Subgroup"
		},
		{
			"field": "pr.quality",
			"width": 180,
			"name": "Quality"
		},
		{
			"field": "pr.product_type",
			"width": 120,
			"name": "Type"
		},
		{
			"field": "pr.stock_type",
			"width": 120,
			"name": "Storable"
		},
		{
			"field": "pr.json_data.not_in_use",
			"width": 160,
			"name": "Not in use"
		},
		{
			"field": "pr.json_data.need_calculation_in_use",
			"width": 160,
			"name": "In need calc"
		},
		{
			"field": "pr.json_data.raw_material_delivery_time",
			"width": 160,
			"name": "Mat. delivery time"
		},
		{
			"field": "pr.production_type",
			"width": 70,
			"name": "S=1/O",
			"format": "%d"
		},
		{
			"field": "pr.json_data.stock_balance",
			"width": 140,
			"name": "Balance",
			"format": "%'.2f"
		},
		{
			"field": "pr.minimum_stock",
			"width": 180,
			"name": "Min. stock",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.action_limit",
			"width": 180,
			"name": "Action limit",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.critical_date",
			"width": 160,
			"name": "Critical date",
			"type": "date"
		},
		{
			"field": "pr.json_data.critical_end_date",
			"width": 160,
			"name": "Cr. end date",
			"type": "date"
		},
		{
			"field": "pr.stock_unit",
			"width": 140,
			"name": "Unit"
		},
		{
			"field": "pr.json_data.free_amount",
			"width": 140,
			"name": "Free",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.true_free_amount",
			"width": 140,
			"name": "True free",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.coming_amount",
			"width": 140,
			"name": "Coming",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.going_amount",
			"width": 140,
			"name": "Going",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.true_going_amount",
			"width": 140,
			"name": "True going",
			"format": "%'.2f"
		},
		{
			"field": "pr.design_unit",
			"width": 140,
			"name": "Des. unit"
		},
		{
			"field": "pr.unit_multiplier",
			"width": 140,
			"name": "Unit mul."
		},
		{
			"field": "pr.json_data.design_conversion_multiplier",
			"width": 140,
			"name": "Design conv. mul."
		},
		{
			"field": "pr.json_data.unit_design_unit_multiplier",
			"width": 140,
			"name": "Stock to design"
		},
		{
			"field": "pr.json_data.design_unit_2",
			"width": 140,
			"name": "Des. un. 2"
		},
		{
			"field": "pr.json_data.stock_unit_2",
			"width": 140,
			"name": "St. un. 2"
		},
		{
			"field": "pr.minimum_order_amount",
			"width": 180,
			"name": "Min ord. amount"
		},
		{
			"field": "pr.json_data.unfinished_orders_in_weeks",
			"width": 120,
			"name": "Unfinished weeks"
		},
		{
			"field": "pr.json_data.fixed",
			"width": 160,
			"name": "Fixed",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.reserved",
			"width": 75,
			"name": "Reserved",
			"format": "%'.2f"
		},
		{
			"field": "pr.json_data.available",
			"width": 180,
			"name": "Available",
			"format": "%'.2f"
		},
		{
			"variable": "pr.calc.fixed_old",
			"width": 160,
			"name": "(Fixed)",
			"format": "%'.2f"
		},
		{
			"variable": "pr?.calc?.reserved_old",
			"width": 75,
			"name": "(Reser.)",
			"format": "%'.2f"
		},
		{
			"variable": "pr.calc.available_old",
			"width": 140,
			"name": "(Avail.)",
			"format": "%'.2f"
		},
		{
			"field": "pr.record_id",
			"name": "Record id",
			"width": 110
		},
		{
			"field": "pr.modify_id",
			"name": "Modify id",
			"width": 110
		}
	]
}
